Bug Hunting Session
Bug 52008 - TDF Site: Unify localized web site structures
Summary: TDF Site: Unify localized web site structures
Status: RESOLVED NOTABUG
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: WWW (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: Other All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 52000 52009
  Show dependency treegraph
 
Reported: 2012-07-12 11:38 UTC by Rainer Bielefeld Retired
Modified: 2015-10-13 21:57 UTC (History)
7 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Rainer Bielefeld Retired 2012-07-12 11:38:41 UTC
We should try to keep a similar structure in all websites for the basic functions to allow to use common resources for localized Web links in localized builds to link to those web sites. Currently correction of localized links in LibO causes lots of work involving lots of lots of people. A common structure with defined "entries" would ease that a lot.

So we should have (for example, "loc" = variable for Localizations):
<http://loc.libreoffice.org/>
<http://loc.libreoffice.org/get-help/documentation/>
<http://loc.libreoffice.org/get-help/bug/>
<http://loc.libreoffice.org/download/>
and may be several else with forwards to language specific URL names, for example 
<http://de.libreoffice.org/get-help/documentation/> 
for German language with forward to 
<http://de.libreoffice.org/hilfe-kontakt/handbuecher/>
and so on.

Such a proceeding would ease work of Localization teams very much, see "Bug 51279 UI: Help/About Website button link should lead to localized LibO Website", "Bug 52000 - UI: Unify info links to localized LibO websites" and others.
Comment 1 Jochen 2012-07-12 18:19:53 UTC
I support this proposal.
IMHO routinely the wrong i.e. "not-localized" links are not identified respectively overlooked.
Comment 2 Christian Lohmaier 2012-07-23 15:13:37 UTC
well, for links included in the product, the hub.libreoffice.org realm is meant for.

http://hub.libreoffice.org/documentation?lang=en-US&version=3.5.3

http://hub.libreoffice.org/file-a-bug?lang=fr-FR&version=3.4.0&distro=ubuntu

→ could also then direct to launchpad.

Trying to include the actual website location into the product is a bad idea, as you would have to keep track of what pages are referrenced from what version to not accientally rename them and thus to break the product.

Of course even with the hub.libreoffice.org one you cannot just rename them without breaking links, but at least it is much easier to change a redirection on the webserver than to change something in a released product.

So please make use of the hub URLs and file issues to have the locations setup.


One doesn't exclude the other of course. But URLs for localized projects should not be awkward just because it is easier to put into code. Web-URLs are used on marketing materials, and there local page-names sometimes are much better than unified (i.e. english) ones.
And for those who like to have one-link-for-all-langs those can use the hub variant.


So whenever there is an URL in LibreOffice (the product), please use a hub.libreoffice.org one.
Comment 3 Volkan 2013-11-09 16:12:29 UTC
Any progress with this bug?
Comment 4 Dennis Roczek 2015-10-13 21:57:25 UTC
per cloph's comment 2 - But we should advertise the hub links more. (dunno how to do that, but not a problem for this ticket)